summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTasos Latsas <tlatsas@users.sourceforge.net>2009-06-03 13:14:18 +0300
committerNick White <git@njw.me.uk>2009-06-23 11:54:04 +0100
commit470b322c5cb3c392f77fc63bb14a1c61abf9180a (patch)
tree40e9eefac640f0c2014c2916fe27f2595fa61fda
parentdad2f8163435c5b1804147ff37c54799c2c38a14 (diff)
downloadgemrb-gameinstallers-470b322c5cb3c392f77fc63bb14a1c61abf9180a.tar.bz2
gemrb-gameinstallers-470b322c5cb3c392f77fc63bb14a1c61abf9180a.zip
Icewind Dale 2 support
-rwxr-xr-xauto-installer.sh11
-rwxr-xr-xiwd2/install-2cd-us-extra.sh31
-rwxr-xr-xiwd2/install-2cd-us-minimal.sh40
-rwxr-xr-xiwd2/install-patch-us.sh47
4 files changed, 128 insertions, 1 deletions
diff --git a/auto-installer.sh b/auto-installer.sh
index 5896953..797623a 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -97,7 +97,7 @@ while [ -z "$MINSCRIPT" ]; do
CDNO=4
;;
$IWD_2CD_UK_MD5 )
- FULLGAMENAME="Icewind Dale 2CD UK version"
+ FULLGAMENAME="Icewind Dale: 2CD UK version"
SHORTGAMENAME="icewinddale"
MINSCRIPT="iwd/install-2cd-uk-minimal.sh"
EXTRASCRIPT="iwd/install-2cd-uk-extra.sh"
@@ -105,6 +105,15 @@ while [ -z "$MINSCRIPT" ]; do
WINDOWSFILES="3dfx.dll config.exe keymap.ini language.ini mpicewnd.mpi"
CDNO=2
;;
+ $IWD2_2CD_US_MD5 )
+ FULLGAMENAME="Icewind Dale 2: 2CD US version"
+ SHORTGAMENAME="icewinddale2"
+ MINSCRIPT="iwd2/install-2cd-us-minimal.sh"
+ EXTRASCRIPT="iwd2/install-2cd-us-extra.sh"
+ PATCHES="iwd2/install-patch-us.sh"
+ WINDOWSFILES="config.exe icewind2.ini keymap.ini language.ini binkw32.dll iwd2.exe"
+ CDNO=2
+ ;;
* )
echo "Unrecognised CD - please select game from menu"
choosegame
diff --git a/iwd2/install-2cd-us-extra.sh b/iwd2/install-2cd-us-extra.sh
new file mode 100755
index 0000000..d94bd7a
--- /dev/null
+++ b/iwd2/install-2cd-us-extra.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 (2CD US version) extra
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+CD2="9756ace5dd78e5b45b21772c6bee7fed"
+
+getcd 2 $CD2 data3.cab
+
+copylower "${CDMOUNT}/CD2/Data/" "${TARGETDIR}/data" || die
+
+setperms "$TARGETDIR"
diff --git a/iwd2/install-2cd-us-minimal.sh b/iwd2/install-2cd-us-minimal.sh
new file mode 100755
index 0000000..f057576
--- /dev/null
+++ b/iwd2/install-2cd-us-minimal.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 (2CD US version) minimal
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $IWD2_2CD_US_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+
+move_and_remove "${TARGETDIR}/minimum_compressed_-_us_english/" "$TARGETDIR" || die
+move_and_remove "${TARGETDIR}/minimum_compressed_-_language_independent/" "$TARGETDIR" || die
+
+copylower "${CDMOUNT}/Data/" "${TARGETDIR}/data" || die
+copylower "${CDMOUNT}/Icewind2.ico" "$TARGETDIR" || die
+
+rm -r "${TARGETDIR}/"_*
+setperms "$TARGETDIR"
diff --git a/iwd2/install-patch-us.sh b/iwd2/install-patch-us.sh
new file mode 100755
index 0000000..bb2fa8f
--- /dev/null
+++ b/iwd2/install-patch-us.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 US version patch v2.01
+#
+# info : http://www.planetbaldursgate.com/iwd2/media/files/
+# size : 4.95 MB
+
+patch_url="http://www.sorcerers.net/Games2/IWD2/IWD2Patch201.exe"
+patch_name="$(basename $patch_url)"
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget unshield
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
+unshield -L x "${TMPDIR}/disk1/data1.cab" -d "$TMPDIR" || diesoftly
+
+cp -R "${TMPDIR}/minimum_compressed_-_language_independent/override/"* "${TARGETDIR}"/override || diesoftly
+cp -R "${TMPDIR}/minimum_compressed_-_language_independent/scripts/"* "${TARGETDIR}"/scripts || diesoftly
+
+cp -R "${TMPDIR}/minimum_compressed_-_us_english/characters/"* "${TARGETDIR}/characters" || diesoftly
+cp -f "${TMPDIR}/minimum_compressed_-_us_english/dialog.tlk" "$TARGETDIR" || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"